﻿@model IEnumerable<Student>
@{
    ViewBag.Title = "title";
    Layout = "_Layout";
}
<div class="m-auto">
    <div class="container">
        <div class="row">
            <div class="col-xl-12">
                <div class="shadow-lg p-3 mb-5 bg rounded">
                    <div>
                        <h2 class="text-center">List Of Student</h2>
                    </div>
                    <div class="container">
                        <table class="table table-striped">
                            <thead>
                            <tr>
                                <th scope="col">#</th>
                                <th scope="col">Student Name</th>
                                <th scope="col">Student Age</th>
                                <th scope="col"></th>
                            </tr>
                            </thead>
                            <tbody>
                            @foreach (var item in Model)
                            {
                                <tr class="text-left">
                                    <td> @Html.DisplayFor(modelItem => item.Id)</td>
                                    <td> @Html.DisplayFor(modelItem => item.Name)</td>
                                    <td> @Html.DisplayFor(modelItem => item.Age)</td>
                                    <td>
                                        <a class="btn btn-primary" asp-action="Update" asp-route-id="@item.Id">Edit</a>
                                        <a class="btn btn-primary" asp-action="Delete" asp-route-id="@item.Id">Delete</a>
                                    </td>
                                </tr>
                            }
                            </tbody>
                        </table>
                    </div>
                    <a asp-action="Create" class="btn btn-primary">Create New Class</a>
                </div>
            </div>
        </div>
    </div>
</div>